> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Services

> Returns available services/appointment types for the location. Shape varies by connector type (NexHealth vs Native).



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json get /v1/workspaces/{workspaceId}/locations/{locationId}/services
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/workspaces/{workspaceId}/locations/{locationId}/services:
    get:
      tags:
        - Services
      summary: List Services
      description: >-
        Returns available services/appointment types for the location. Shape
        varies by connector type (NexHealth vs Native).
      responses:
        '200':
          description: Services list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Service'
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
      security:
        - bearerAuth: []
components:
  schemas:
    Service:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        nexhealth_id:
          type: number
        minutes:
          type: number
        bookable_online:
          type: boolean
          nullable: true
        duration_minutes:
          type: number
        price_cents:
          type: number
          nullable: true
        color:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        is_active:
          type: boolean
      required:
        - id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````